export interface FileDatabaseOptions {
    /**
     * Path to database directory
     * @required
     */
    path: string;
    /**
     * How much, if at all, to pad left of arrays with zeros
     * @default 0
     */
    leftPad?: number;
    /**
     * What prefix to use for metadata on returned objects
     * @default '$'
     */
    prefix?: string;
    /**
     * How many spaces to use when formatting JSON
     * @default 0
     */
    jsonSpaces?: number;
}
interface GetOptions {
    depth?: number;
}
export declare class FileDatabase {
    private path;
    private leftPad;
    private prefix;
    private jsonSpaces;
    constructor(options: FileDatabaseOptions);
    constructor(path: string);
    setOptions(options: FileDatabaseOptions): void;
    get<T = any>(path: string, options?: GetOptions): Promise<T>;
    set(path: string, object: Object | Array<any>): Promise<void>;
    private readDir;
    private readFile;
    private writeFile;
    resolvePath(path: string): string;
}
export {};
